#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_mask;

void main()
{
    vec4 mask = texture2D(u_mask, vec2(v_texCoord.x, 1.0 - v_texCoord.y));
    gl_FragColor = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));

    gl_FragColor.r = (gl_FragColor.r + gl_FragColor.g + gl_FragColor.b) * 0.15;
    gl_FragColor.g = gl_FragColor.r;
    gl_FragColor.b = gl_FragColor.r;
    gl_FragColor.a = mask.r;
}
